Subject: Re: bug#57878: Minimal reproducible setup

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 15 Oct 2022 16:40:38 +0200

Am Samstag, dem 15.10.2022 um 12:11 +0200 schrieb zimoun:
> Hi Liliana,
> 
> On Fri, 14 Oct 2022 at 20:22, Liliana Marie Prikler
> <[email-masked]> wrote:
> 
> > > Maybe it could be worth to have that in the manual too, no?  For
> > > example, under ’Application setup, Emacs packages’ [1].
> > > 
> > Would you prefer a paragraph, a note, or a footnote?
> 
> As you would prefer.  Maybe a note with,
> 
>         Emacs can now compile packages natively.  Under the default
>         configuration, this means that Emacs packages will now be
>         just-in-time (JIT) compiled as you use them, and the results
>         stored in a subdirectory of your @code{user-emacs-directory}.
> 
>         Furthermore, the build system for Emacs packages
> transparently
>         supports native compilation, but note, that
>         @code{emacs-minimal}---the default Emacs for building
>         packages---has been configured without native compilation. 
> To
>         natively compile your emacs packages ahead of time, use a
>         transformation like @option{--with-input=emacs-
> minimal=emacs}.
> 
> BTW, thanks for your efforts to explain upstream the situation. :-)
Done.  Since I just copypasta'd the wording, I made you the author.

As for this bug: I've bumped emacs-next to a version that can inhibit
almost all native-compilation (trampolines are still compiled, but not
written to the cache), fixed the linker issue, and disabled native
compilation for emacs-ido-completing-read+.  Any remaining native-comp
issues or can this be closed?

Cheers